import type { ZodSchema, z } from 'zod';
import type { ParsedResult } from '../types/index.js';
import { envelopeDiscriminator } from './envelope.js';
/**
 * Lambda function URL envelope to extract data within body key
 */
export declare const LambdaFunctionUrlEnvelope: {
    /**
     * This is a discriminator to differentiate whether an envelope returns an array or an object
     * @hidden
     */
    [envelopeDiscriminator]: "object";
    parse<T extends ZodSchema>(data: unknown, schema: T): z.infer<T>;
    safeParse<T extends ZodSchema>(data: unknown, schema: T): ParsedResult<unknown, z.infer<T>>;
};
//# sourceMappingURL=lambda.d.ts.map