/**
 * Custom parsing error that wraps any erros thrown during schema or envelope parsing.
 * The cause of the error is included in the message, if possible.
 */
declare class ParseError extends Error {
    constructor(message: string, options?: {
        cause?: Error;
    });
}
/**
 * Custom error thrown when decompression fails.
 */
declare class DecompressError extends ParseError {
    constructor(message: string, options?: {
        cause?: Error;
    });
}
export { ParseError, DecompressError };
//# sourceMappingURL=errors.d.ts.map