import type { ZodSchema, z } from 'zod';
import type { ParsedResult } from '../types/index.js';
import { envelopeDiscriminator } from './envelope.js';
/**
 * Envelope for EventBridge schema that extracts and parses data from the `detail` key.
 */
export declare const EventBridgeEnvelope: {
    /**
     * This is a discriminator to differentiate whether an envelope returns an array or an object
     * @hidden
     */
    [envelopeDiscriminator]: "object";
    parse<T extends ZodSchema>(data: unknown, schema: T): z.infer<T>;
    safeParse<T extends ZodSchema>(data: unknown, schema: T): ParsedResult<unknown, z.infer<T>>;
};
//# sourceMappingURL=eventbridge.d.ts.map